<?php
	session_start();
	 //error_reporting(E_ALL);
	error_reporting(E_ERROR);
	//set_time_limit(0);
	ini_set('memory_limit','500M');
	ini_set('max_execution_time', 0); 
	define('__ROOT__', dirname(dirname(__FILE__))); 
	//  require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
	// require_once(__ROOT__.'\siga\ClsCargarIngresos.class.php'); 
	// require_once(__ROOT__.'\siga\Connections\dbms.class.php');
	// require_once(__ROOT__.'\siga\Connections\dbmy.class.php');
	// require_once(__ROOT__.'\siga\clsObjetodeDatos.Class.php');
  
	require_once('html/ClsGeneradorHtml.class.php'); 
	require_once('ClsNominaBecas.class.php'); 
	require_once('Connections/dbms.class.php');
	require_once('Connections/dbmy.class.php');
	require_once('clsObjetodeDatos.class.php'); 
 	extract ($_POST);
	extract($_GET);
	$var_post=$_POST;
	$var_get=$_GET;
 	$bd =new dbms('mysql','no'); 	
   $ClsNominaBecas=new ClsNominaBecas($bd,$var_post,$var_get);
	$clsObjetodeDatos = new clsObjetodeDatos($bd,$var_post,$var_get); 
   $ClsGeneradorHtml=new ClsGeneradorHtml("","");


	
	
	
	
  // echo phpinfo();
	function Operaciones($ClsCargarIngresos,$boton,$ClsGeneradorHtml){
			if ($boton=="cmdGestionar"){
				if($ClsNominaBecas->Validar($ClsGeneradorHtml)){
					$ClsNominaBecas->Ingresar($ClsGeneradorHtml);
				}			
			}elseif($boton=="Eliminar"){
				$ClsNominaBecas->Eliminar($ClsGeneradorHtml);
			}
	} 
	function formulario($ClsGeneradorHtml,$ClsNominaBecas,$clsObjetodeDatos,$_varpost,$bd){
		extract ($_varpost);
		$script="<link rel='stylesheet' href='css/estilos1.css' type='text/css'>";
		$script.="<script src='js/jquery.min.js' type='text/javascript'></script>";
		$script.="<script src='js/gestion_nomina.js' type='text/javascript'></script>";
		echo "<script type='text/javascript'>
				  function imprimir_nomina(codigo_nomina){
						var strFeatures = 'dialogTop='+((screen.height - 100) / 2)+'; dialogLeft=' + ((screen.width - 250) / 2) +'; dialogWidth=250px;' +
						'dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;' +
						'font-size:12px';
						showModalDialog ('impresion_nomina.php?codigo_nomina='+codigo_nomina, '',strFeatures);
				  }
		  </script>";
		$forma= $ClsGeneradorHtml->Pagina_Top("Nomina de Becados","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		echo $ClsGeneradorHtml->htmlTable("","0","","100%","center","","bd");
		echo $ClsGeneradorHtml->htmlTd("","","","","hr");
		echo $ClsGeneradorHtml->htmlH("2","left");
		echo "Generaci&oacute;n de Nomina de Becados";
		echo $ClsGeneradorHtml->htmlFinH("2");
		echo $ClsGeneradorHtml->htmlFinTd();
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlTable("5","0","0","100%","center","","","border:1px solid #ccc;");
		echo $ClsGeneradorHtml->htmlInicioFormulario("POST","frmNomina","multipart/form-data");
			echo $ClsGeneradorHtml->htmlTr();
				echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Fecha:').$ClsGeneradorHtml->htmlFinTd();
				echo $ClsGeneradorHtml->htmlTd("20%").$ClsGeneradorHtml->htmlCajaTexto('txtFecha',$txtFecha,'fecha',30,false,25,'txtFecha').$ClsGeneradorHtml->htmlFinTd();
				echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Descripci&oacute;n:').$ClsGeneradorHtml->htmlFinTd();
				echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlCajaTexto('txtDescripcion',$txtDescripcion,'',40,false,80,'txtDescripcion').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlFieldset("Meses");
			echo $ClsGeneradorHtml->htmlTable("5","0","0","100%","center","","","");
					if($_varpost['chkEnero']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkEnero","chkEnero","1",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Enero').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkFebrero']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkFebrero","chkFebrero","2",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Febrero').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkMarzo']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkMarzo","chkMarzo","3",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Marzo').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkAbril']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkAbril","chkAbril","4",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Abril').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkMayo']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkMayo","chkMayo","5",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Mayo').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkJunio']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkJunio","chkJunio","6",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Junio').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkJulio']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkJulio","chkJulio","7",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Julio').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkAgosto']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkAgosto","chkAgosto","8",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Agosto').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkSeptiembre']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkSeptiembre","chkSeptiembre","9",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Sep.').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkOctubre']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkOctubre","chkOctubre","10",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Oct.').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkNoviembre']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkNoviembre","chkNoviembre","11",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Nov.').$ClsGeneradorHtml->htmlFinTd();		
					if($_varpost['chkDiciembre']){
						$enabled="checked";
					}else{
						$enabled="";						
					}
					echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlCheck("chkDiciembre","chkDiciembre","12",$enabled).$ClsGeneradorHtml->htmlEtiqueta('Dic.').$ClsGeneradorHtml->htmlFinTd();		
			echo $ClsGeneradorHtml->htmlFinTable();	
		echo $ClsGeneradorHtml->htmlFinFieldset();
		echo $ClsGeneradorHtml->htmlTable("5","0","0","100%","center","","","");
				echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlBoton("Gestionar", "cmdGestionar").$ClsGeneradorHtml->htmlFinTd();
		echo $ClsGeneradorHtml->htmlFinTable();	
		$ClsNominaBecas->sql_consulta($var_post,$var_get,$ClsGeneradorHtml,$bd);
	
		echo $ClsGeneradorHtml->htmlDiv("DivIngresos","","","DivIngresos");
		echo $ClsGeneradorHtml->htmlFinDiv();
		echo $ClsGeneradorHtml->htmlHidden("formulario",$formulario);
		echo $ClsGeneradorHtml->htmlHidden("hdAccion");
		echo $ClsGeneradorHtml->htmlFinFormulario();
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
	}
	if(($hdAccion=="cmdGestionar")){
		$ClsNominaBecas->insert($var_post,$ClsGeneradorHtml,$bd);
		echo formulario($ClsGeneradorHtml,$ClsNominaBecas,$clsObjetodeDatos,$var_post,$bd);
	}elseif(($hdAccion=="cmdBuscarMeses")){
		$ClsNominaBecas->buscar_meses($fecha,$bd);
	}elseif(($hdAccion =="cmdDetalle")){
		$ClsNominaBecas->sql_consulta_detalle($var_post,$var_get,$bd,$ClsGeneradorHtml);

	}else{
		echo formulario($ClsGeneradorHtml,$ClsNominaBecas,$clsObjetodeDatos,$var_post,$bd);
	}

?> 
